NANO(1)

NAZWA
nano - edytor tekstu, zainspirowany przez Pico

SKŁADNIA
nano [opcje] [[+wiersz[,kolumna]] plik]...

nano [opcje] [[+[crCR]{/|?}łańcuch] plik]...

INFORMACJA
Od wersji 8.0, aby być przyjaźniejszym dla nowych użytkowników, ^F rozpoczyna wyszukiwanie wprzód (od ang. forward), ^B rozpoczyna wyszukiwanie wstecz (ang. backward), M-F wyszukuje kolejne wystąpienie wprzód, a M-B wyszukuje kolejne wystąpienie wstecz. Aby podane skróty zachowały swe funkcje sprzed wersji 8.0, konieczne jest dodanie następujących wierszy na końcu swojego pliku nanorc:

    bind ^F forward main
    bind ^B back main
    bind M-F formatter main
    bind M-B linter main

OPIS
nano jest niewielkim i przyjaznym edytorem tekstu. Kopiuje wygląd i zachowanie Pico, lecz jest wolnym oprogramowaniem, zapewniającym dodatkowe funkcje, których brak Pico, takie jak: otwieranie wielu plików, przewijanie według wiersza, cofanie/ponawianie, kolorowanie składni, numerowanie wierszy oraz miękkie zawijanie zbyt długich wierszy. Nazwa jest skrótem rekurencyjnym od Nano's ANOther editor (Nano to kolejny edytor).

When giving a filename on the command line, the cursor can be put on a specific line by adding the line number with a plus sign (+) before the filename, and even in a specific column by adding it with a comma. Negative numbers count from the end of the file or line.

Kursor można umieścić w pierwszym lub ostatnim wystąpieniu określonego łańcucha, podając go po +/ lub +?, a przed nazwą pliku. Łańcuch można uczynić wrażliwym na wielkość znaków lub interpretowanym jako wyrażenie regularne, podając c i/lub r po znaku +. Tryby wyszukiwania można wyraźnie wyłączyć, korzystając z wariantów pisanych wielkimi literami: C i/lub R. Jeśli łańcuch zawiera spacje, trzeba go podać w cudzysłowie. Poniższy przykład otwiera plik na pierwszym wystąpieniu słowa „Foo”:

    nano +c/Foo plik

Jako specjalny przypadek, podając jako nazwę pliku kreskę (-), nano odczyta dane ze standardowego wejścia.

EDYTOWANIE
Entering text and moving around in a file is straightforward: typing the letters and using the normal cursor movement keys. Commands are entered by using the Control (^) and the Alt or Meta (M-) keys. Typing ^K deletes the current line and puts it in the cutbuffer. Consecutive ^Ks put all deleted lines together in the cutbuffer. Any cursor movement or executing any other command causes the next ^K to overwrite the cutbuffer. A ^U pastes the current contents of the cutbuffer at the current cursor position.

When a more precise piece of text needs to be cut or copied, you can mark its start with ^6, move the cursor to its end (the marked text is highlighted), and then use ^K to cut it, or M-6 to copy it to the cutbuffer. You can also save the marked text to a file with ^O, or spell check it with ^T^T.

On some terminals, text can be selected also by holding down Shift while using the arrow keys. Holding down the Ctrl or Alt key too increases the stride. Any cursor movement without Shift being held cancels such a selection.

W buforze można umieścić każdy prawidłowy punkt kodowy Unikodu poleceniem M-V, po którym następują szesnastkowe cyfry punktu kodowego (zakończone <Spacją> lub <Enterem>, jeśli jest mniej niż sześć cyfr). Dosłowny kod kontrolny (z wyjątkiem ^J) można wstawić poprzedzając go M-V.

Dwa wiersze na dole ekranu ukazują pewne ważniejsze polecenia; wbudowana pomoc (^G) wypisze wszystkie dostępne. Domyślne przypisania klawiszy można zmienić za pomocą pliku nanorc — zob. nanorc(5).

OPCJE

-A, --smarthome
    Make the Home key smarter. When Home is pressed anywhere but at the very beginning of non-whitespace characters on a line, the cursor jumps to that beginning (either forwards or backwards). If the cursor is already at that position, it jumps to the true beginning of the line.

-B, --backup
    Przy zapisywaniu pliku, tworzy kopię zapasowej poprzedniej wersji, dołączając do bieżącej nazwy pliku tyldę (~).

-C katalog, --backupdir=katalog
    Tworzy i utrzymuje nie tylko jeden plik kopii, lecz tworzy unikalnie numerowaną kopię za każdym zapisem pliku — gdy włączona jest kopia zapasowa (-B). Unikalnie numerowane pliki są przechowywane w podanym katalogu.

-D, --boldtext
    For the interface, use bold instead of reverse video. This can be overridden for specific elements by setting the options titlecolor, statuscolor, promptcolor, minicolor, keycolor, numbercolor, and/or selectedcolor in your nanorc file. See nanorc(5).

-E, --tabstospaces
    Przekształca każdy tabulator na spacje — używając odpowiedniej liczby spacji, aby zająć tyle samo miejsca, co zastępowany tabulator (uwaga: wklejane tabulatory nie są konwertowane).

-F, --multibuffer
    Odczytuje plik domyślnie do nowego bufora.

-G, --locking
    Przy edytowaniu pliku, korzysta z blokady pliku w stylu vima.

-H, --historylog
    Zachowuje ostatnie sto wyszukiwanych łańcuchów, łańcuchów zastępujących i wykonywanych poleceń, dzięki czemu można ich łatwo użyć ponownie w kolejnych sesjach.

-I, --ignorercfiles
    Nie korzysta z systemowego pliku nanorc, ani z nanorc użytkownika.

-J numer, --guidestripe=numer
    Rysuje pionową prowadnicę w podanej kolumnie, aby pomóc ocenić szerokość tekstu (kolor prowadnicy można zmienić za pomocą set stripecolor w pliku nanorc użytkownika).

-K, --rawsequences
    Interpret escape sequences directly, instead of asking ncurses to translate them. (If you need this option to get some keys to work properly, it means that the terminfo terminal description that is used does not fully match the actual behavior of your terminal. This can happen when you ssh into a BSD machine, for example.) Using this option disables nano's mouse support.

-L, --nonewlines
    Nie dodaje automatycznie nowego wiersza, gdy tekst się nim nie kończy (może to spowodować zapisanie pliku tekstowego niezgodnego z POSIX).

-M, --trimblanks
    Wycina początkowe białe znaki z zawijanych wierszy, gdy zachodzi twarde zawijanie lub gdy tekst jest wyjustowany.

-N, --noconvert
    Wyłącza automatyczną konwersję plików z formatu DOS/Mac.

-O, --bookstyle
    Przy justowaniu, traktuje każdy wiersz zaczynający się białym znakiem jako początek akapitu (chyba że włączono automatyczne wcięcia).

-P, --positionlog
    Dla 200 ostatnich plików, zachowuje ostatnią pozycję kursora i umieszcza kursor w tej pozycji przy ponownym otwarciu takiego pliku.

-Q "wyrażenie-regularne", --quotestr="wyrażenie-regularne"
    Ustawia wyrażenie dopasowujące część wiersza będącą cytowaniem. Domyślną wartością jest „^([ \t]*([!#%:;>|}]|//))+” (proszę zauważyć, że \t oznacza tu tabulator). Dzięki temu można wyjustować ponownie bloki cytowanego tekstu przy tworzeniu wiadomości poczty elektronicznej oraz zawinąć ponownie bloki wierszy komentarzy, przy pisaniu kodu źródłowego.

-R, --restricted
    Tryb ograniczony: nie odczytuje ani nie zapisuje żadnego pliku poza podanym w wierszu polecenia. Oznacza to: brak odczytywania i zapisywania plików historii; niedopuszczalność wstrzymywania programu; brak sprawdzania pisowni; brak możliwości: dopisywania do pliku, dołączania na początku pliku oraz zapisywania pliku pod inną nazwą niż obecna; brak tworzenia plików z kopią zapasową. Tryb ograniczony można włączyć również, wywołując nano z nazwą zaczynającą się literą „r” (np. „rnano”).

-S, --softwrap
    Display over multiple screen rows lines that exceed the screen's width. (You can make this soft-wrapping occur at whitespace instead of rudely at the screen's edge, by using also --atblanks.)

-T liczba, --tabsize=liczba
    Ustawia rozmiar (szerokość) tabulatorów na liczbę kolumn. Wartość liczby musi być większa od 0. Domyślnie jest to 8.

-U, --quickblank
    Pasek statusu zniknie po użyciu jednego klawisza, zamiast 20. Proszę zauważyć, że niniejszą opcję przesłoni -c (--constantshow). Gdy działa opcja --minibar lub --zero, --quickblank spowoduje, że komunikat zniknie po 0,8 sekundy, zamiast domyślnych 1,5 sekundy.

-V, --version
    Wyświetla aktualną wersję programu i wychodzi.

-W, --wordbounds
    Inaczej wykrywa granice słów, traktując znaki interpunkcyjne jako część słowa.

-X "znaki", --wordchars="znaki"
    Określa inne znaki (poza zwykłymi alfanumerycznymi), które mają być traktowane jako część słowa. Przy korzystaniu z tej opcji, prawdopodobnie zechce się pominąć -W (--wordbounds).

-Y nazwa, --syntax=nazwa
    Określa nazwę mechanizmu podświetlania składni, korzystając z jednego ze zdefiniowanych w plikach nanorc.

-Z, --zap
    Pozwala niezmodyfikowanemu klawiszowi Backspace lub Delete usunąć zaznaczony fragment (zamiast pojedynczego znaku i bez wpływu na bufor wycinania).

-a, --atblanks
    Przy dokonywaniu miękkiego zawijania, zawija wiersze na białych znakach, zamiast zawsze na krawędzi ekranu.

-b, --breaklonglines
    Automatycznie dokonuje twardego zawijania bieżącego wiersza, gdy stanie się zbyt długi (opcja ta jest przeciwieństwem -w (--nowrap) — zadziała ta z nich, która zostanie podana jako ostatnia).

-c, --constantshow
    Stale pokazuje pozycję kursora w pasku statusu. Niniejsza opcja przesłania opcję -U (--quickblank).

-d, --rebinddelete
    Dokonuje innej interpretacji klawiszy Delete i Backspace, dzięki czemu oba klawisze działają poprawnie. Opcji niniejszej należy używać wyłącznie wtedy, gdy Backspace działa jak Delete lub Delete działa jak Backspace.

-e, --emptyline
    Nie korzysta z wiersza pod paskiem tytułu, pozostawiając go pustym.

-f plik, --rcfile=plik
    Odczytuje tylko podany plik w celu ustawienia opcji nano, zamiast czytać oba pliki nanorc: systemowy i użytkownika.

-g, --showcursor
    Pokazuje kursor w przeglądarce plików (umieszczając go na podświetlonym elemencie) i w przeglądarce pomocy. Przydatne dla użytkowników braille'a oraz osób ze słabszym wzrokiem.

-h, --help
    Pokazuje podsumowanie dostępnych opcji wiersza poleceń i wychodzi.

-i, --autoindent
    Automatycznie wcina nowo tworzony wiersz o taką samą liczbę tabulatorów i/lub spacji, co wiersz poprzedni (lub co wiersz następny, jeśli poprzedni wiersz jest początkiem akapitu).

-j, --jumpyscrolling
    Przewija zawartość bufora o pół ekranu, zamiast o wiersz.

-k, --cutfromcursor
    Polecenie „Wytnij tekst” (zwykle ^K) wytnie od bieżącej pozycji kursora do końca wiersza, zamiast wycinać cały wiersz.

-l, --linenumbers
    Wyświetla numery wierszy po lewej stronie przestrzeni tekstowej (wiersz z zaczepieniem dodatkowo otrzyma oznaczenie w marginesie).

-m, --mouse
    Enable mouse support, if available for your system. When enabled, mouse clicks can be used to place the cursor, set the mark (with a double click), and execute shortcuts. The mouse works in the X Window System, and on the console when gpm is running. Text can still be selected through dragging by holding down the Shift key.

-n, --noread
    Treat any name given on the command line as a new file. This allows nano to write to named pipes: it starts with a blank buffer, and writes to the pipe when the user saves the "file". This way nano can be used as an editor in combination with for instance gpg without having to write sensitive data to disk first.

-o katalog, --operatingdir=katalog
    Ustawia katalog pracy. nano ustawi tu coś w rodzaju chroota.

-p, --preserve
    Preserve the XOFF and XON sequences (^S and ^Q) so that they are caught by the terminal (stopping and resuming the output). Note that option -/ (--modernbindings) overrides this.

-q, --indicator
    Wyświetla „pasek przewijania” po prawej stronie okna edycji. Pokazuje on pozycję widoku w buforze oraz to, jak dużo bufora widać w bieżącym widoku.

-r liczba, --fill=liczba
    Set the target width for justifying and automatic hard-wrapping at this number of columns. If the value is 0 or less, wrapping occurs at the width of the screen minus number columns, allowing the wrap point to vary along with the width of the screen if the screen is resized. The default value is -8.

-s "program [argument ...]", --speller="program [argument ...]"
    Używa podanego polecenia do sprawdzania i poprawy pisowni, zamiast wbudowanego mechanizmu sprawdzania, wywołującego hunspell(1) lub spell(1).

-t, --saveonexit
    Zapisuje zmieniony bufor bez pytania (przy wyjściu za pomocą ^X).

-u, --unix
    Zapisuje plik domyślnie w formacie uniksowym. Przesłania to domyślne zachowanie nano, polegające na zachowywaniu pliku w jego dotychczasowym formacie (opcja ta nie zadziała, jeśli podano również --noconvert).

-v, --view
    Jedynie przegląda plik, wyłączając edycję: tryb tylko do odczytu. Tryb ten pozwala również otwierać użytkownikowi inne pliki do przeglądania, chyba że podano także opcję --restricted.

-w, --nowrap
    Nie dokonuje twardego zawijania bieżącego wiersza, gdy stanie się zbyt długi. Jest to zachowanie domyślne (opcja jest przeciwieństwem -b (--breaklonglines) — zadziała ta z nich, która zostanie podana jako ostatnia).

-x, --nohelp
    Nie pokazuje dwóch wierszy z pomocą na dole ekranu.

-y, --afterends
    Kombinacje Ctrl+strzałka-w-prawo oraz Ctrl+Delete zatrzymają się na końcach słów, a nie na początkach.

-z, --listsyntaxes
    List the names of the available syntaxes and exit.

-!, --magic
    Gdy nazwa pliku, ani jego pierwszy wiersz nie dają odpowiedniej wskazówki, spróbuje użyć libmagic, aby określić właściwą składnię.

-@, --colonparsing
    When a filename given on the command line ends in a colon plus digits and this filename does not exist, then snip the colon plus digits and understand the digits as a line number. If the trimmed filename does not exist either, then repeat the process and understand the obtained two numbers as line and column number. But if the doubly trimmed filename does not exist either, then forget the trimming and accept the original filename as is. To disable this colon parsing for some file, use +1 or similar before the relevant filename.

-%, --stateflags
    Używa prawego górnego narożnika ekranu do wyświetlania pewnych flag statusu: I — automatyczne wcięcia (od ang. indentation), M — gdy coś jest zaznaczone (mark), L — gdy włączone jest twarde zawijanie (przełamywanie długich wierszy; long), R — przy rejestrowaniu makra oraz S — gdy włączone jest miękkie zawijanie (soft). Gdy bufor zostanie zmodyfikowany, po nazwie pliku w środku paska tytułu dodawana jest gwiazdka (*).

-_, --minibar
    Ukrywa pasek tytułu, pokazując w zamian informacje o bieżącym buforze u dołu ekranu, w miejscu paska statusu. W tym „minipasku” nazwa pliku jest wyświetlana po lewej, może po niej wystąpić gwiazdka, jeśli bufor uległ modyfikacji. Po prawej widoczny jest numer bieżącego wiersza i kolumny, kod znaku pod kursorem (w formacie Unikodu: U+xxxx), te same flagi, jak wyświetlane przez --stateflags oraz procent ukazujący jak daleko w pliku znajduje się kursor (patrząc na wiersze). Gdy plik jest ładowany lub zapisywany, a także przy przełączaniu buforów, liczba wierszy w buforze jest wyświetlana po nazwie pliku. Liczba ta znika po wciśnięciu następnego klawisza, lub jest zastępowana licznikiem [i/n], gdy otwartych jest wiele buforów. Numery wiersza i kolumny oraz kod znaku są wyświetlane, gdy podano opcję --constantshow i mogą być przełączane kombinacją klawiszy M-C. Flagi statusu są wyświetlane tylko, gdy podano opcję --stateflags.

-0, --zero
    Ukrywa wszelkie elementy interfejsu (pasek tytułu, pasek statusu i wiersze z pomocą) i używa wszystkich wierszy terminala do pokazywania zawartości bufora. Pasek statusu pojawi się tylko przy ważnym komunikacie i zniknie 1,5 sekundy po wciśnięciu następnego klawisza. Paski tytułu i statusu można przełączyć kombinacją klawiszy M-Z, a wiersze za pomocą M-X.

-/, --modernbindings
    Używa podobnych skrótów klawiszowych, jak inne współczesne programy: ^X wycina, ^C kopiuje, ^V wkleja, ^Z cofa, ^Y ponawia, ^F wyszukuje wprzód, ^G wyszukuje następne, ^S zachowuje, ^O otwiera plik, ^Q wychodzi i (gdy pozwala na to terminal) ^H pokazuje pomoc. Ponadto ^A ustawia zaznaczenie, ^R zastępuje, ^D wyszukuje poprzednie, ^P pokazuje pozycję, ^T przechodzi do wiersza, ^W zapisuje plik, a ^E wykonuje polecenie. Niniejsza opcja przesłania opcję -p (--preserve).

PRZEŁĄCZNIKI
Wiele powyższych opcji można przełączać również w już uruchomionym nano. Przykładowo M-L przełącza twarde zawijanie długich wierszy (od ang. long), M-S przełącza miękkie zawijanie (soft), M-M przełącza mysz, M-I automatyczne wcinanie (indentation), a M-X wiersze z pomocą. Na końcu tekstu pomocy, wyświetlanego po wciśnięciu ^G, pokazana jest pełna lista przełączników.

Przełącznik M-X jest szczególny: działa we wszystkich menu, poza przeglądarką pomocy i sprawdzaniem składni. Wszystkie pozostałe przełączniki działają jedynie w głównym menu.

PLIKI
When --rcfile is given, nano reads just the specified file for setting its options and syntaxes and key bindings. Without that option, nano reads two configuration files: first the system's nanorc (if it exists), and then the user's nanorc (if it exists), either ~/.nanorc or $XDG_CONFIG_HOME/nano/nanorc or ~/.config/nano/nanorc, whichever is encountered first. See nanorc(5) for more information on the possible contents of those files.

Aby zapoznać się z dostępnymi definicjami kolorowania składni, proszę sprawdzić pliki /usr/share/nano/ i /usr/share/nano/extra/.

UWAGI
Suspension is enabled by default, reachable via ^T^Z. (If you want a plain ^Z to suspend nano, add bind ^Z suspend main to your nanorc.)

At a Yes-No prompt, ^Y can be used for "Yes", ^N for "No", and ^A for "All". These unlisted bindings work in any locale.

W podręczniku systemowym nanorc(5) opisano przykłady kopiowania zaznaczonego tekstu z nano do schowka systemowego.

If no alternative spell checker command is specified on the command line nor in one of the nanorc files, nano checks the SPELL environment variable for one.

In some cases nano tries to dump the buffer into an emergency file. This happens mainly if nano receives a SIGHUP or SIGTERM or runs out of memory. It writes the buffer into a file named nano.save if the buffer didn't have a name already, or adds a ".save" suffix to the current filename. If an emergency file with that name already exists in the current directory, it adds ".save" plus a number (e.g. ".save.1") to the current filename in order to make it unique. In multibuffer mode, nano writes all open buffers to their respective emergency files.

Pytania odnośnie korzystania z nano w jakichś szczególnych przypadkach, można wysyłać na adres help-nano@gnu.org.

USTERKI
Rejestrowanie i odtwarzanie makr klawiaturowych działa poprawnie tylko w emulatorze terminala, nie w konsoli Linuksa (VT), ponieważ ta ostatnia domyślnie nie rozróżnia pomiędzy zmodyfikowanymi i niezmodyfikowanymi klawiszami strzałek.

Proszę zgłaszać wszelkie inne dostrzeżone błędy programu za pomocą:
https://savannah.gnu.org/bugs/?group=nano.

When nano crashes, it saves any modified buffers to emergency .save files. If you are able to reproduce the crash and you want to get a backtrace, define the environment variable NANO_NOCATCH.

STRONA INTERNETOWA
https://nano-editor.org/

ZOBACZ TAKŻE
nanorc(5)

/usr/share/doc/nano/ (lub odpowiednik w danym systemie)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.